{% extends "base.html" %}

{% block title %}{{ news.title }}{% endblock %}

{% block body %}

{% if news.imageUrl == null %}
<img class="img-responsive" src="http://placehold.it/900x300" alt="">
{% else %}
<img class="img-responsive" src="{{ news.imageUrl }}" alt="">
{% endif %}

<hr>

<form class="form-horizontal" id="data" action="/news/edit/{{ news.id }}" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
    <div class="form-group">
        <label for="title">Загаловок</label>
        <input type="text" class="form-control" id="title" placeholder="Введите загаловок новости" name="title" value="{{news.title}}">
    </div>

    <div class="form-group">
        <label for="text">Текст</label>
        <textarea class="form-control" id="text" placeholder="Введите текст" name="text">{{news.text}}</textarea>
    </div>

    <div class="form-group">
        <label for="demoFile">Upload image</label>
        <input type="file" id="demoFile" name="file">
        <p class="help-block"></p>
    </div>

    <button type="submit" class="btn btn-success">Написать</button>
</form>

<script>
    $("form#data").submit(function(){

        var formData = new FormData($(this)[0]);

        $.ajax({
            url : $(this).attr('action'),
            type: 'POST',
            data: formData,
            async: false,
            success: function (data) {
                var json = $.parseJSON(data);
                location.href = '/news/view' + '/' + json.news_id;
            },
            cache: false,
            contentType: false,
            processData: false
        });

        return false;
    });
</script>

{% endblock %}